###############################################################################################
# $Id: quit.py,v 1.4 2002/09/11 13:16:14 chakie Exp $
###############################################################################################

import sys
import string
import constants
import pygame
import scenario
from   immediate  import Immediate


class Quit (Immediate):
    """
    This class implements the immediate plan 'quit'. Used when a player has quit.

    TODO: should also contain some kind of info for why that game was quit?
    """

    # static id for this class
    typeid = -1

    def __init__ (self, turn = -1 ):
        """Initializes the instance."""
        # call superclass constructor
        Immediate.__init__ (self, "quit" )


    def execute (self):
        """Executes the immediate plan. Sets a flag that indicates that the game has ended."""
        # set flag
        scenario.playing = constants.GAME_ENDED
        

    def toString (self):
        """Returns a string representation of the command, suitable for sending over a socket."""
        # create a string and return
        return "%s\n" % self.getName ()


    def __str__ (self):
        """Convenience wrapper for toString() suitable for using when debugging and printing the
        command to the screen. Will just call toString()."""
        return self.toString ()
    
     
#  Local Variables:
#  mode: auto-fill
#  fill-column: 100
#  End:
